@font-face {
	font-family: DecathlonIconFont;
	src: url(../fonts/DecathlonIconfont.woff2);
}

button#example01 {
	/* Typography */
	font-family: Roboto;
	color: #323233;
	font-weight: 700;
	font-size: 2rem;
	text-transform: uppercase;

	/* Layout */
	display: flex;
	flex-direction: row-reverse;
	justify-content: center;
	align-items: center;
	padding: 0.785em 2.857em;
	position: relative; /* required for before & after pseudos */
	z-index: 1;

	/* Behaviour */
	white-space: nowrap;
	overflow: hidden;
	transition: background-color .45s ease .09s;
	cursor: pointer;

	/* Style */
	border: 0;
	background-color: #ffea28;
}

#example01:before {
	/* Typography */
	content: "\E06B"; /* cart symbol © decathlon */
	font-family: DecathlonIconfont;
	font-size: 1.6em;

	/* Layout */
	margin-left: 5%;
	z-index: 2;
}

#example01:after {
	/* Layout */
	position: absolute;
	top: 60%;
	left: -30%;
	z-index: -1;

	/* Style */
	content: "";
	background-color: #fdd935;
	height: 120%;
	width: 150%;

	/* Animation */
	transition: transform 0.15s ease;
	transform: rotate(-5deg);
	transform-origin: top right;
}

#example01:hover:after {
	transform: rotate(0deg) translateY(-60%);
}